
GammaLib - Action #649

Feature # 284 (Closed): Rethink the definition of the GTime class

Modify GTime according to new implementation

12/16/2012 09:17 PM - Knödlseder Jürgen

Status: Closed Start date: 07/07/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 4.00 hours

Target version: 00-07-00   

Description

History

#1 - 12/17/2012 04:11 PM - Knödlseder Jürgen

- Status changed from New to In Progress

#2 - 12/17/2012 10:47 PM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

- Remaining (hours) changed from 4.0 to 0.0

A new interface for the GTime class has been defined.

First, the time reference has been removed from the class, as now GTime stores the time in a GammaLib native time reference. As zero time,

January 1, 2010 00:00:00 (TT) has been chosen.

Then, the met() method has been removed and replaced by secs() and days() methods.

The convert() and set() methods have been added to convert a GTime time into any given time reference, and to set the time using a value given in

any given time reference.

What is still missing is conversion between TT and UTC. As the implementation is not urgent, a special feature #653 was created to remind about the

missing implementation.

#3 - 12/20/2012 11:30 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed
